Index: firmware/FAD/FACT_FAD_20MHz_VAR_PS/FACT_FAD_TB_lib/hds/fad_main_tb/struct.bd.bak
===================================================================
--- firmware/FAD/FACT_FAD_20MHz_VAR_PS/FACT_FAD_TB_lib/hds/fad_main_tb/struct.bd.bak	(revision 10908)
+++ firmware/FAD/FACT_FAD_20MHz_VAR_PS/FACT_FAD_TB_lib/hds/fad_main_tb/struct.bd.bak	(revision 10914)
@@ -137,4 +137,18 @@
 uid 2336,0
 )
+(Instance
+name "I0"
+duLibraryName "FACT_FAD_lib"
+duName "FAD_main_with_w53002"
+elements [
+(GiElement
+name "RAMADDRWIDTH64b"
+type "integer"
+value "15"
+)
+]
+mwi 0
+uid 3285,0
+)
 ]
 embeddedInstances [
@@ -159,5 +173,5 @@
 )
 version "29.1"
-appVersion "2009.1 (Build 12)"
+appVersion "2009.2 (Build 10)"
 noEmbeddedEditors 1
 model (BlockDiag
@@ -166,21 +180,21 @@
 (vvPair
 variable "HDLDir"
-value "D:\\firmware\\FAD\\FACT_FAD_20MHz_VAR_PS\\FACT_FAD_TB_lib\\hdl"
+value "C:\\fact.isdc.unige.ch_svn_firmware\\FAD\\FACT_FAD_20MHz_VAR_PS\\FACT_FAD_TB_lib\\hdl"
 )
 (vvPair
 variable "HDSDir"
-value "D:\\firmware\\FAD\\FACT_FAD_20MHz_VAR_PS\\FACT_FAD_TB_lib\\hds"
+value "C:\\fact.isdc.unige.ch_svn_firmware\\FAD\\FACT_FAD_20MHz_VAR_PS\\FACT_FAD_TB_lib\\hds"
 )
 (vvPair
 variable "SideDataDesignDir"
-value "D:\\firmware\\FAD\\FACT_FAD_20MHz_VAR_PS\\FACT_FAD_TB_lib\\hds\\fad_main_tb\\struct.bd.info"
+value "C:\\fact.isdc.unige.ch_svn_firmware\\FAD\\FACT_FAD_20MHz_VAR_PS\\FACT_FAD_TB_lib\\hds\\fad_main_tb\\struct.bd.info"
 )
 (vvPair
 variable "SideDataUserDir"
-value "D:\\firmware\\FAD\\FACT_FAD_20MHz_VAR_PS\\FACT_FAD_TB_lib\\hds\\fad_main_tb\\struct.bd.user"
+value "C:\\fact.isdc.unige.ch_svn_firmware\\FAD\\FACT_FAD_20MHz_VAR_PS\\FACT_FAD_TB_lib\\hds\\fad_main_tb\\struct.bd.user"
 )
 (vvPair
 variable "SourceDir"
-value "D:\\firmware\\FAD\\FACT_FAD_20MHz_VAR_PS\\FACT_FAD_TB_lib\\hds"
+value "C:\\fact.isdc.unige.ch_svn_firmware\\FAD\\FACT_FAD_20MHz_VAR_PS\\FACT_FAD_TB_lib\\hds"
 )
 (vvPair
@@ -198,25 +212,25 @@
 (vvPair
 variable "d"
-value "D:\\firmware\\FAD\\FACT_FAD_20MHz_VAR_PS\\FACT_FAD_TB_lib\\hds\\fad_main_tb"
+value "C:\\fact.isdc.unige.ch_svn_firmware\\FAD\\FACT_FAD_20MHz_VAR_PS\\FACT_FAD_TB_lib\\hds\\fad_main_tb"
 )
 (vvPair
 variable "d_logical"
-value "D:\\firmware\\FAD\\FACT_FAD_20MHz_VAR_PS\\FACT_FAD_TB_lib\\hds\\fad_main_tb"
+value "C:\\fact.isdc.unige.ch_svn_firmware\\FAD\\FACT_FAD_20MHz_VAR_PS\\FACT_FAD_TB_lib\\hds\\fad_main_tb"
 )
 (vvPair
 variable "date"
-value "23.05.2011"
+value "01.06.2011"
 )
 (vvPair
 variable "day"
-value "Mo"
+value "Mi"
 )
 (vvPair
 variable "day_long"
-value "Montag"
+value "Mittwoch"
 )
 (vvPair
 variable "dd"
-value "23"
+value "01"
 )
 (vvPair
@@ -246,5 +260,5 @@
 (vvPair
 variable "host"
-value "IHP110"
+value "E5B-LABOR6"
 )
 (vvPair
@@ -278,5 +292,5 @@
 (vvPair
 variable "mm"
-value "05"
+value "06"
 )
 (vvPair
@@ -286,17 +300,17 @@
 (vvPair
 variable "month"
-value "Mai"
+value "Jun"
 )
 (vvPair
 variable "month_long"
-value "Mai"
+value "Juni"
 )
 (vvPair
 variable "p"
-value "D:\\firmware\\FAD\\FACT_FAD_20MHz_VAR_PS\\FACT_FAD_TB_lib\\hds\\fad_main_tb\\struct.bd"
+value "C:\\fact.isdc.unige.ch_svn_firmware\\FAD\\FACT_FAD_20MHz_VAR_PS\\FACT_FAD_TB_lib\\hds\\fad_main_tb\\struct.bd"
 )
 (vvPair
 variable "p_logical"
-value "D:\\firmware\\FAD\\FACT_FAD_20MHz_VAR_PS\\FACT_FAD_TB_lib\\hds\\fad_main_tb\\struct.bd"
+value "C:\\fact.isdc.unige.ch_svn_firmware\\FAD\\FACT_FAD_20MHz_VAR_PS\\FACT_FAD_TB_lib\\hds\\fad_main_tb\\struct.bd"
 )
 (vvPair
@@ -322,5 +336,5 @@
 (vvPair
 variable "task_ModelSimPath"
-value "D:\\modeltech_6.5e\\win32"
+value "C:\\modeltech_6.6a\\win32"
 )
 (vvPair
@@ -354,5 +368,5 @@
 (vvPair
 variable "time"
-value "18:19:57"
+value "13:20:01"
 )
 (vvPair
@@ -362,9 +376,9 @@
 (vvPair
 variable "user"
-value "daqct3"
+value "dneise"
 )
 (vvPair
 variable "version"
-value "2009.1 (Build 12)"
+value "2009.2 (Build 10)"
 )
 (vvPair
@@ -406,5 +420,5 @@
 bg "0,0,32768"
 )
-xt "109200,97000,120300,98000"
+xt "109200,97000,118900,98000"
 st "
 by %user on %dd %month %year
@@ -437,5 +451,5 @@
 bg "0,0,32768"
 )
-xt "126200,93000,129500,94000"
+xt "126200,93000,129200,94000"
 st "
 Project:
@@ -468,5 +482,5 @@
 bg "0,0,32768"
 )
-xt "109200,95000,120100,96000"
+xt "109200,95000,119200,96000"
 st "
 <enter diagram title here>
@@ -499,5 +513,5 @@
 bg "0,0,32768"
 )
-xt "105200,95000,107500,96000"
+xt "105200,95000,107300,96000"
 st "
 Title:
@@ -530,5 +544,5 @@
 bg "0,0,32768"
 )
-xt "126200,94200,136000,95200"
+xt "126200,94200,135400,95200"
 st "
 <enter comments here>
@@ -560,5 +574,5 @@
 bg "0,0,32768"
 )
-xt "130200,93000,134900,94000"
+xt "130200,93000,134700,94000"
 st "
 %project_name
@@ -590,5 +604,5 @@
 fg "32768,0,0"
 )
-xt "112450,93000,118550,95000"
+xt "112700,93000,118300,95000"
 st "
 TU Dortmund 
@@ -623,5 +637,5 @@
 bg "0,0,32768"
 )
-xt "105200,96000,107500,97000"
+xt "105200,96000,107300,97000"
 st "
 Path:
@@ -654,5 +668,5 @@
 bg "0,0,32768"
 )
-xt "105200,97000,108300,98000"
+xt "105200,97000,107900,98000"
 st "
 Edited:
@@ -685,5 +699,5 @@
 bg "0,0,32768"
 )
-xt "109200,96000,125800,97000"
+xt "109200,96000,123400,97000"
 st "
 %library/%unit/%view
@@ -745,5 +759,5 @@
 n "wiz_reset"
 t "std_logic"
-o 49
+o 50
 suid 2,0
 i "'1'"
@@ -964,5 +978,5 @@
 t "std_logic_vector"
 b "(9 DOWNTO 0)"
-o 46
+o 47
 suid 26,0
 )
@@ -1001,5 +1015,5 @@
 t "std_logic_vector"
 b "(15 DOWNTO 0)"
-o 52
+o 53
 suid 27,0
 )
@@ -1037,5 +1051,5 @@
 n "wiz_cs"
 t "std_logic"
-o 47
+o 48
 suid 28,0
 i "'1'"
@@ -1074,5 +1088,5 @@
 n "wiz_wr"
 t "std_logic"
-o 50
+o 51
 suid 29,0
 i "'1'"
@@ -1111,5 +1125,5 @@
 n "wiz_rd"
 t "std_logic"
-o 48
+o 49
 suid 30,0
 i "'1'"
@@ -1677,5 +1691,5 @@
 preAdd 0
 posAdd 0
-o 51
+o 52
 suid 63,0
 )
@@ -2550,5 +2564,5 @@
 n "trigger_veto"
 t "std_logic"
-o 44
+o 45
 suid 98,0
 i "'1'"
@@ -2590,6 +2604,45 @@
 eolc "-- state is encoded here ... useful for debugging."
 posAdd 0
-o 45
+o 46
 suid 103,0
+)
+)
+)
+*65 (CptPort
+uid 2924,0
+ps "OnEdgeStrategy"
+shape (Triangle
+uid 2925,0
+ro 90
+va (VaSet
+vasetType 1
+fg "0,65535,0"
+)
+xt "109000,89625,109750,90375"
+)
+tg (CPTG
+uid 2926,0
+ps "CptPortTextPlaceStrategy"
+stg "RightVerticalLayoutStrategy"
+f (Text
+uid 2927,0
+va (VaSet
+)
+xt "96100,89500,108000,90500"
+st "socket_tx_free_out : (16:0)"
+ju 2
+blo "108000,90300"
+)
+)
+thePort (LogicalPort
+m 1
+decl (Decl
+n "socket_tx_free_out"
+t "std_logic_vector"
+b "(16 DOWNTO 0)"
+eolc "-- 17bit value .. that's true"
+posAdd 0
+o 44
+suid 109,0
 )
 )
@@ -2604,5 +2657,5 @@
 lineWidth 2
 )
-xt "81000,19000,109000,90000"
+xt "81000,19000,109000,91000"
 )
 oxt "15000,-8000,43000,46000"
@@ -2612,5 +2665,5 @@
 stg "VerticalLayoutStrategy"
 textVec [
-*65 (Text
+*66 (Text
 uid 236,0
 va (VaSet
@@ -2622,5 +2675,5 @@
 tm "BdLibraryNameMgr"
 )
-*66 (Text
+*67 (Text
 uid 237,0
 va (VaSet
@@ -2632,5 +2685,5 @@
 tm "CptNameMgr"
 )
-*67 (Text
+*68 (Text
 uid 238,0
 va (VaSet
@@ -2674,5 +2727,5 @@
 fg "49152,49152,49152"
 )
-xt "81250,88250,82750,89750"
+xt "81250,89250,82750,90750"
 iconName "BlockDiagram.png"
 iconMaskName "BlockDiagram.msk"
@@ -2684,8 +2737,8 @@
 archFileType "UNKNOWN"
 )
-*68 (SaComponent
+*69 (SaComponent
 uid 274,0
 optionalChildren [
-*69 (CptPort
+*70 (CptPort
 uid 266,0
 ps "OnEdgeStrategy"
@@ -2723,5 +2776,5 @@
 )
 )
-*70 (CptPort
+*71 (CptPort
 uid 270,0
 ps "OnEdgeStrategy"
@@ -2776,5 +2829,5 @@
 stg "VerticalLayoutStrategy"
 textVec [
-*71 (Text
+*72 (Text
 uid 277,0
 va (VaSet
@@ -2786,5 +2839,5 @@
 tm "BdLibraryNameMgr"
 )
-*72 (Text
+*73 (Text
 uid 278,0
 va (VaSet
@@ -2796,5 +2849,5 @@
 tm "CptNameMgr"
 )
-*73 (Text
+*74 (Text
 uid 279,0
 va (VaSet
@@ -2855,5 +2908,5 @@
 archFileType "UNKNOWN"
 )
-*74 (Net
+*75 (Net
 uid 284,0
 decl (Decl
@@ -2871,9 +2924,8 @@
 )
 xt "-90000,46200,-68000,47000"
-st "SIGNAL clk                   : STD_LOGIC
-"
-)
-)
-*75 (Net
+st "SIGNAL clk                   : STD_LOGIC"
+)
+)
+*76 (Net
 uid 316,0
 decl (Decl
@@ -2889,10 +2941,9 @@
 font "Courier New,8,0"
 )
-xt "-90000,63000,-58500,63800"
-st "SIGNAL wiz_addr              : std_logic_vector(9 DOWNTO 0)
-"
-)
-)
-*76 (Net
+xt "-90000,63800,-58500,64600"
+st "SIGNAL wiz_addr              : std_logic_vector(9 DOWNTO 0)"
+)
+)
+*77 (Net
 uid 322,0
 decl (Decl
@@ -2908,10 +2959,9 @@
 font "Courier New,8,0"
 )
-xt "-90000,64600,-58000,65400"
-st "SIGNAL wiz_data              : std_logic_vector(15 DOWNTO 0)
-"
-)
-)
-*77 (Net
+xt "-90000,65400,-58000,66200"
+st "SIGNAL wiz_data              : std_logic_vector(15 DOWNTO 0)"
+)
+)
+*78 (Net
 uid 328,0
 decl (Decl
@@ -2927,10 +2977,9 @@
 font "Courier New,8,0"
 )
-xt "-90000,66200,-55000,67000"
-st "SIGNAL wiz_rd                : std_logic                    := '1'
-"
-)
-)
-*78 (Net
+xt "-90000,67000,-55000,67800"
+st "SIGNAL wiz_rd                : std_logic                    := '1'"
+)
+)
+*79 (Net
 uid 334,0
 decl (Decl
@@ -2946,13 +2995,12 @@
 font "Courier New,8,0"
 )
-xt "-90000,67800,-55000,68600"
-st "SIGNAL wiz_wr                : std_logic                    := '1'
-"
-)
-)
-*79 (SaComponent
+xt "-90000,68600,-55000,69400"
+st "SIGNAL wiz_wr                : std_logic                    := '1'"
+)
+)
+*80 (SaComponent
 uid 362,0
 optionalChildren [
-*80 (CptPort
+*81 (CptPort
 uid 350,0
 ps "OnEdgeStrategy"
@@ -2990,5 +3038,5 @@
 )
 )
-*81 (CptPort
+*82 (CptPort
 uid 354,0
 ps "OnEdgeStrategy"
@@ -3027,5 +3075,5 @@
 )
 )
-*82 (CptPort
+*83 (CptPort
 uid 358,0
 ps "OnEdgeStrategy"
@@ -3081,5 +3129,5 @@
 stg "VerticalLayoutStrategy"
 textVec [
-*83 (Text
+*84 (Text
 uid 365,0
 va (VaSet
@@ -3091,5 +3139,5 @@
 tm "BdLibraryNameMgr"
 )
-*84 (Text
+*85 (Text
 uid 366,0
 va (VaSet
@@ -3101,5 +3149,5 @@
 tm "CptNameMgr"
 )
-*85 (Text
+*86 (Text
 uid 367,0
 va (VaSet
@@ -3155,5 +3203,5 @@
 archFileType "UNKNOWN"
 )
-*86 (Net
+*87 (Net
 uid 372,0
 decl (Decl
@@ -3170,9 +3218,8 @@
 )
 xt "-90000,59000,-58500,59800"
-st "SIGNAL sensor_cs             : std_logic_vector(3 DOWNTO 0)
-"
-)
-)
-*87 (Net
+st "SIGNAL sensor_cs             : std_logic_vector(3 DOWNTO 0)"
+)
+)
+*88 (Net
 uid 378,0
 decl (Decl
@@ -3188,9 +3235,8 @@
 )
 xt "-90000,58200,-68000,59000"
-st "SIGNAL sclk                  : std_logic
-"
-)
-)
-*88 (Net
+st "SIGNAL sclk                  : std_logic"
+)
+)
+*89 (Net
 uid 384,0
 decl (Decl
@@ -3208,12 +3254,11 @@
 )
 xt "-90000,59800,-68000,60600"
-st "SIGNAL sio                   : std_logic
-"
-)
-)
-*89 (SaComponent
+st "SIGNAL sio                   : std_logic"
+)
+)
+*90 (SaComponent
 uid 414,0
 optionalChildren [
-*90 (CptPort
+*91 (CptPort
 uid 410,0
 ps "OnEdgeStrategy"
@@ -3270,5 +3315,5 @@
 stg "VerticalLayoutStrategy"
 textVec [
-*91 (Text
+*92 (Text
 uid 417,0
 va (VaSet
@@ -3280,5 +3325,5 @@
 tm "BdLibraryNameMgr"
 )
-*92 (Text
+*93 (Text
 uid 418,0
 va (VaSet
@@ -3290,5 +3335,5 @@
 tm "CptNameMgr"
 )
-*93 (Text
+*94 (Text
 uid 419,0
 va (VaSet
@@ -3350,5 +3395,5 @@
 archFileType "UNKNOWN"
 )
-*94 (Net
+*95 (Net
 uid 424,0
 decl (Decl
@@ -3365,13 +3410,12 @@
 font "Courier New,8,0"
 )
-xt "-90000,60600,-68000,61400"
-st "SIGNAL trigger               : std_logic
-"
-)
-)
-*95 (HdlText
+xt "-90000,61400,-68000,62200"
+st "SIGNAL trigger               : std_logic"
+)
+)
+*96 (HdlText
 uid 430,0
 optionalChildren [
-*96 (EmbeddedText
+*97 (EmbeddedText
 uid 436,0
 commentText (CommentText
@@ -3393,5 +3437,5 @@
 va (VaSet
 )
-xt "50200,45200,58200,49200"
+xt "50200,45200,60200,48200"
 st "
 -- eb_ID 1: hard-wired IDs
@@ -3424,5 +3468,5 @@
 stg "VerticalLayoutStrategy"
 textVec [
-*97 (Text
+*98 (Text
 uid 433,0
 va (VaSet
@@ -3434,5 +3478,5 @@
 tm "HdlTextNameMgr"
 )
-*98 (Text
+*99 (Text
 uid 434,0
 va (VaSet
@@ -3460,5 +3504,5 @@
 viewiconposition 0
 )
-*99 (Net
+*100 (Net
 uid 440,0
 decl (Decl
@@ -3477,9 +3521,8 @@
 )
 xt "-90000,45400,-58500,46200"
-st "SIGNAL board_id              : std_logic_vector(3 downto 0)
-"
-)
-)
-*100 (Net
+st "SIGNAL board_id              : std_logic_vector(3 downto 0)"
+)
+)
+*101 (Net
 uid 448,0
 decl (Decl
@@ -3496,12 +3539,11 @@
 )
 xt "-90000,47800,-58500,48600"
-st "SIGNAL crate_id              : std_logic_vector(1 downto 0)
-"
-)
-)
-*101 (SaComponent
+st "SIGNAL crate_id              : std_logic_vector(1 downto 0)"
+)
+)
+*102 (SaComponent
 uid 508,0
 optionalChildren [
-*102 (CptPort
+*103 (CptPort
 uid 489,0
 ps "OnEdgeStrategy"
@@ -3539,5 +3581,5 @@
 )
 )
-*103 (CptPort
+*104 (CptPort
 uid 493,0
 ps "OnEdgeStrategy"
@@ -3578,5 +3620,5 @@
 )
 )
-*104 (CptPort
+*105 (CptPort
 uid 497,0
 ps "OnEdgeStrategy"
@@ -3616,5 +3658,5 @@
 )
 )
-*105 (CptPort
+*106 (CptPort
 uid 501,0
 ps "OnEdgeStrategy"
@@ -3670,5 +3712,5 @@
 stg "VerticalLayoutStrategy"
 textVec [
-*106 (Text
+*107 (Text
 uid 511,0
 va (VaSet
@@ -3680,5 +3722,5 @@
 tm "BdLibraryNameMgr"
 )
-*107 (Text
+*108 (Text
 uid 512,0
 va (VaSet
@@ -3690,5 +3732,5 @@
 tm "CptNameMgr"
 )
-*108 (Text
+*109 (Text
 uid 513,0
 va (VaSet
@@ -3744,8 +3786,8 @@
 archFileType "UNKNOWN"
 )
-*109 (HdlText
+*110 (HdlText
 uid 518,0
 optionalChildren [
-*110 (EmbeddedText
+*111 (EmbeddedText
 uid 524,0
 commentText (CommentText
@@ -3767,5 +3809,5 @@
 va (VaSet
 )
-xt "50200,57200,60900,67200"
+xt "50200,57200,62100,66200"
 st "
 -- eb_adc 2: ADC routing
@@ -3804,5 +3846,5 @@
 stg "VerticalLayoutStrategy"
 textVec [
-*111 (Text
+*112 (Text
 uid 521,0
 va (VaSet
@@ -3814,5 +3856,5 @@
 tm "HdlTextNameMgr"
 )
-*112 (Text
+*113 (Text
 uid 522,0
 va (VaSet
@@ -3840,5 +3882,5 @@
 viewiconposition 0
 )
-*113 (Net
+*114 (Net
 uid 528,0
 decl (Decl
@@ -3855,9 +3897,8 @@
 )
 xt "-90000,42200,-58500,43000"
-st "SIGNAL adc_otr_array         : std_logic_vector(3 DOWNTO 0)
-"
-)
-)
-*114 (Net
+st "SIGNAL adc_otr_array         : std_logic_vector(3 DOWNTO 0)"
+)
+)
+*115 (Net
 uid 536,0
 decl (Decl
@@ -3873,9 +3914,8 @@
 )
 xt "-90000,39800,-63000,40600"
-st "SIGNAL adc_data_array        : adc_data_array_type
-"
-)
-)
-*115 (Net
+st "SIGNAL adc_data_array        : adc_data_array_type"
+)
+)
+*116 (Net
 uid 544,0
 decl (Decl
@@ -3893,9 +3933,8 @@
 )
 xt "-90000,40600,-68000,41400"
-st "SIGNAL adc_oeb               : std_logic
-"
-)
-)
-*116 (Net
+st "SIGNAL adc_oeb               : std_logic"
+)
+)
+*117 (Net
 uid 560,0
 decl (Decl
@@ -3913,9 +3952,8 @@
 )
 xt "-90000,41400,-68000,42200"
-st "SIGNAL adc_otr               : STD_LOGIC
-"
-)
-)
-*117 (Net
+st "SIGNAL adc_otr               : STD_LOGIC"
+)
+)
+*118 (Net
 uid 568,0
 decl (Decl
@@ -3934,9 +3972,8 @@
 )
 xt "-90000,39000,-58000,39800"
-st "SIGNAL adc_data              : std_logic_vector(11 DOWNTO 0)
-"
-)
-)
-*118 (Net
+st "SIGNAL adc_data              : std_logic_vector(11 DOWNTO 0)"
+)
+)
+*119 (Net
 uid 767,0
 decl (Decl
@@ -3952,10 +3989,9 @@
 font "Courier New,8,0"
 )
-xt "-90000,67000,-55000,67800"
-st "SIGNAL wiz_reset             : std_logic                    := '1'
-"
-)
-)
-*119 (Net
+xt "-90000,67800,-55000,68600"
+st "SIGNAL wiz_reset             : std_logic                    := '1'"
+)
+)
+*120 (Net
 uid 775,0
 decl (Decl
@@ -3974,9 +4010,8 @@
 )
 xt "-90000,54200,-49000,55000"
-st "SIGNAL led                   : std_logic_vector(7 DOWNTO 0) := (OTHERS => '0')
-"
-)
-)
-*120 (Net
+st "SIGNAL led                   : std_logic_vector(7 DOWNTO 0) := (OTHERS => '0')"
+)
+)
+*121 (Net
 uid 783,0
 decl (Decl
@@ -3992,10 +4027,9 @@
 font "Courier New,8,0"
 )
-xt "-90000,63800,-55000,64600"
-st "SIGNAL wiz_cs                : std_logic                    := '1'
-"
-)
-)
-*121 (Net
+xt "-90000,64600,-55000,65400"
+st "SIGNAL wiz_cs                : std_logic                    := '1'"
+)
+)
+*122 (Net
 uid 791,0
 decl (Decl
@@ -4010,10 +4044,9 @@
 font "Courier New,8,0"
 )
-xt "-90000,65400,-68000,66200"
-st "SIGNAL wiz_int               : std_logic
-"
-)
-)
-*122 (Net
+xt "-90000,66200,-68000,67000"
+st "SIGNAL wiz_int               : std_logic"
+)
+)
+*123 (Net
 uid 799,0
 decl (Decl
@@ -4029,9 +4062,8 @@
 )
 xt "-90000,48600,-68000,49400"
-st "SIGNAL dac_cs                : std_logic
-"
-)
-)
-*123 (Net
+st "SIGNAL dac_cs                : std_logic"
+)
+)
+*124 (Net
 uid 807,0
 decl (Decl
@@ -4048,9 +4080,8 @@
 )
 xt "-90000,55800,-55000,56600"
-st "SIGNAL mosi                  : std_logic                    := '0'
-"
-)
-)
-*124 (Net
+st "SIGNAL mosi                  : std_logic                    := '0'"
+)
+)
+*125 (Net
 uid 815,0
 decl (Decl
@@ -4069,9 +4100,8 @@
 )
 xt "-90000,51000,-41500,51800"
-st "SIGNAL denable               : std_logic                    := '0' -- default domino wave off
-"
-)
-)
-*125 (Net
+st "SIGNAL denable               : std_logic                    := '0' -- default domino wave off"
+)
+)
+*126 (Net
 uid 823,0
 decl (Decl
@@ -4087,9 +4117,8 @@
 )
 xt "-90000,25400,-68000,26200"
-st "SIGNAL CLK_25_PS             : std_logic
-"
-)
-)
-*126 (Net
+st "SIGNAL CLK_25_PS             : std_logic"
+)
+)
+*127 (Net
 uid 831,0
 decl (Decl
@@ -4105,9 +4134,8 @@
 )
 xt "-90000,26200,-68000,27000"
-st "SIGNAL CLK_50                : std_logic
-"
-)
-)
-*127 (Net
+st "SIGNAL CLK_50                : std_logic"
+)
+)
+*128 (Net
 uid 839,0
 decl (Decl
@@ -4125,9 +4153,8 @@
 )
 xt "-90000,51800,-49000,52600"
-st "SIGNAL drs_channel_id        : std_logic_vector(3 downto 0) := (others => '0')
-"
-)
-)
-*128 (Net
+st "SIGNAL drs_channel_id        : std_logic_vector(3 downto 0) := (others => '0')"
+)
+)
+*129 (Net
 uid 847,0
 decl (Decl
@@ -4144,9 +4171,8 @@
 )
 xt "-90000,52600,-55000,53400"
-st "SIGNAL drs_dwrite            : std_logic                    := '1'
-"
-)
-)
-*129 (Net
+st "SIGNAL drs_dwrite            : std_logic                    := '1'"
+)
+)
+*130 (Net
 uid 855,0
 decl (Decl
@@ -4163,9 +4189,8 @@
 )
 xt "-90000,33400,-55000,34200"
-st "SIGNAL RSRLOAD               : std_logic                    := '0'
-"
-)
-)
-*130 (Net
+st "SIGNAL RSRLOAD               : std_logic                    := '0'"
+)
+)
+*131 (Net
 uid 863,0
 decl (Decl
@@ -4182,9 +4207,8 @@
 )
 xt "-90000,34200,-55000,35000"
-st "SIGNAL SRCLK                 : std_logic                    := '0'
-"
-)
-)
-*131 (Net
+st "SIGNAL SRCLK                 : std_logic                    := '0'"
+)
+)
+*132 (Net
 uid 871,0
 decl (Decl
@@ -4200,9 +4224,8 @@
 )
 xt "-90000,35800,-68000,36600"
-st "SIGNAL SROUT_in_0            : std_logic
-"
-)
-)
-*132 (Net
+st "SIGNAL SROUT_in_0            : std_logic"
+)
+)
+*133 (Net
 uid 879,0
 decl (Decl
@@ -4218,9 +4241,8 @@
 )
 xt "-90000,36600,-68000,37400"
-st "SIGNAL SROUT_in_1            : std_logic
-"
-)
-)
-*133 (Net
+st "SIGNAL SROUT_in_1            : std_logic"
+)
+)
+*134 (Net
 uid 887,0
 decl (Decl
@@ -4236,9 +4258,8 @@
 )
 xt "-90000,37400,-68000,38200"
-st "SIGNAL SROUT_in_2            : std_logic
-"
-)
-)
-*134 (Net
+st "SIGNAL SROUT_in_2            : std_logic"
+)
+)
+*135 (Net
 uid 895,0
 decl (Decl
@@ -4254,9 +4275,8 @@
 )
 xt "-90000,38200,-68000,39000"
-st "SIGNAL SROUT_in_3            : std_logic
-"
-)
-)
-*135 (Net
+st "SIGNAL SROUT_in_3            : std_logic"
+)
+)
+*136 (Net
 uid 1435,0
 decl (Decl
@@ -4273,9 +4293,8 @@
 )
 xt "-90000,35000,-55000,35800"
-st "SIGNAL SRIN_out              : std_logic                    := '0'
-"
-)
-)
-*136 (Net
+st "SIGNAL SRIN_out              : std_logic                    := '0'"
+)
+)
+*137 (Net
 uid 1443,0
 decl (Decl
@@ -4291,9 +4310,8 @@
 )
 xt "-90000,44600,-68000,45400"
-st "SIGNAL amber                 : std_logic
-"
-)
-)
-*137 (Net
+st "SIGNAL amber                 : std_logic"
+)
+)
+*138 (Net
 uid 1451,0
 decl (Decl
@@ -4309,9 +4327,8 @@
 )
 xt "-90000,57400,-68000,58200"
-st "SIGNAL red                   : std_logic
-"
-)
-)
-*138 (Net
+st "SIGNAL red                   : std_logic"
+)
+)
+*139 (Net
 uid 1459,0
 decl (Decl
@@ -4327,9 +4344,8 @@
 )
 xt "-90000,53400,-68000,54200"
-st "SIGNAL green                 : std_logic
-"
-)
-)
-*139 (Net
+st "SIGNAL green                 : std_logic"
+)
+)
+*140 (Net
 uid 1467,0
 decl (Decl
@@ -4346,9 +4362,8 @@
 )
 xt "-90000,47000,-58000,47800"
-st "SIGNAL counter_result        : std_logic_vector(11 DOWNTO 0)
-"
-)
-)
-*140 (Net
+st "SIGNAL counter_result        : std_logic_vector(11 DOWNTO 0)"
+)
+)
+*141 (Net
 uid 1475,0
 decl (Decl
@@ -4365,9 +4380,8 @@
 )
 xt "-90000,43800,-68000,44600"
-st "SIGNAL alarm_refclk_too_low  : std_logic
-"
-)
-)
-*141 (Net
+st "SIGNAL alarm_refclk_too_low  : std_logic"
+)
+)
+*142 (Net
 uid 1483,0
 decl (Decl
@@ -4383,12 +4397,11 @@
 )
 xt "-90000,43000,-68000,43800"
-st "SIGNAL alarm_refclk_too_high : std_logic
-"
-)
-)
-*142 (HdlText
+st "SIGNAL alarm_refclk_too_high : std_logic"
+)
+)
+*143 (HdlText
 uid 1491,0
 optionalChildren [
-*143 (EmbeddedText
+*144 (EmbeddedText
 uid 1497,0
 commentText (CommentText
@@ -4410,5 +4423,5 @@
 va (VaSet
 )
-xt "27200,72200,40200,77200"
+xt "27200,72200,39400,77200"
 st "
 
@@ -4445,5 +4458,5 @@
 stg "VerticalLayoutStrategy"
 textVec [
-*144 (Text
+*145 (Text
 uid 1494,0
 va (VaSet
@@ -4455,5 +4468,5 @@
 tm "HdlTextNameMgr"
 )
-*145 (Text
+*146 (Text
 uid 1495,0
 va (VaSet
@@ -4481,5 +4494,5 @@
 viewiconposition 0
 )
-*146 (Net
+*147 (Net
 uid 1501,0
 decl (Decl
@@ -4496,12 +4509,11 @@
 )
 xt "-90000,28600,-58500,29400"
-st "SIGNAL D_T_in                : std_logic_vector(1 DOWNTO 0)
-"
-)
-)
-*147 (SaComponent
+st "SIGNAL D_T_in                : std_logic_vector(1 DOWNTO 0)"
+)
+)
+*148 (SaComponent
 uid 1509,0
 optionalChildren [
-*148 (CptPort
+*149 (CptPort
 uid 1519,0
 ps "OnEdgeStrategy"
@@ -4539,5 +4551,5 @@
 )
 )
-*149 (CptPort
+*150 (CptPort
 uid 1523,0
 ps "OnEdgeStrategy"
@@ -4592,5 +4604,5 @@
 stg "VerticalLayoutStrategy"
 textVec [
-*150 (Text
+*151 (Text
 uid 1512,0
 va (VaSet
@@ -4602,5 +4614,5 @@
 tm "BdLibraryNameMgr"
 )
-*151 (Text
+*152 (Text
 uid 1513,0
 va (VaSet
@@ -4612,5 +4624,5 @@
 tm "CptNameMgr"
 )
-*152 (Text
+*153 (Text
 uid 1514,0
 va (VaSet
@@ -4671,5 +4683,5 @@
 archFileType "UNKNOWN"
 )
-*153 (Net
+*154 (Net
 uid 1559,0
 decl (Decl
@@ -4687,9 +4699,8 @@
 )
 xt "-90000,56600,-29000,57400"
-st "SIGNAL plllock_in            : std_logic_vector(3 DOWNTO 0) -- high level, if dominowave is running and DRS PLL locked
-"
-)
-)
-*154 (Net
+st "SIGNAL plllock_in            : std_logic_vector(3 DOWNTO 0) -- high level, if dominowave is running and DRS PLL locked"
+)
+)
+*155 (Net
 uid 1682,0
 lang 2
@@ -4706,9 +4717,8 @@
 )
 xt "-90000,24600,-68000,25400"
-st "SIGNAL ADC_CLK               : std_logic
-"
-)
-)
-*155 (Net
+st "SIGNAL ADC_CLK               : std_logic"
+)
+)
+*156 (Net
 uid 2001,0
 decl (Decl
@@ -4725,12 +4735,11 @@
 )
 xt "-90000,32600,-55000,33400"
-st "SIGNAL REF_CLK               : STD_LOGIC                    := '0'
-"
-)
-)
-*156 (SaComponent
+st "SIGNAL REF_CLK               : STD_LOGIC                    := '0'"
+)
+)
+*157 (SaComponent
 uid 2336,0
 optionalChildren [
-*157 (CptPort
+*158 (CptPort
 uid 2315,0
 ps "OnEdgeStrategy"
@@ -4769,5 +4778,5 @@
 )
 )
-*158 (CptPort
+*159 (CptPort
 uid 2319,0
 ps "OnEdgeStrategy"
@@ -4807,5 +4816,5 @@
 )
 )
-*159 (CptPort
+*160 (CptPort
 uid 2323,0
 ps "OnEdgeStrategy"
@@ -4843,5 +4852,5 @@
 )
 )
-*160 (CptPort
+*161 (CptPort
 uid 2327,0
 ps "OnEdgeStrategy"
@@ -4879,5 +4888,5 @@
 )
 )
-*161 (CptPort
+*162 (CptPort
 uid 2331,0
 ps "OnEdgeStrategy"
@@ -4915,5 +4924,5 @@
 )
 )
-*162 (CptPort
+*163 (CptPort
 uid 2548,0
 ps "OnEdgeStrategy"
@@ -4966,5 +4975,5 @@
 stg "VerticalLayoutStrategy"
 textVec [
-*163 (Text
+*164 (Text
 uid 2339,0
 va (VaSet
@@ -4976,5 +4985,5 @@
 tm "BdLibraryNameMgr"
 )
-*164 (Text
+*165 (Text
 uid 2340,0
 va (VaSet
@@ -4986,5 +4995,5 @@
 tm "CptNameMgr"
 )
-*165 (Text
+*166 (Text
 uid 2341,0
 va (VaSet
@@ -5033,5 +5042,5 @@
 archFileType "UNKNOWN"
 )
-*166 (Net
+*167 (Net
 uid 2705,0
 decl (Decl
@@ -5047,9 +5056,8 @@
 )
 xt "-90000,49400,-68000,50200"
-st "SIGNAL debug_data_ram_empty  : std_logic
-"
-)
-)
-*167 (Net
+st "SIGNAL debug_data_ram_empty  : std_logic"
+)
+)
+*168 (Net
 uid 2713,0
 decl (Decl
@@ -5065,9 +5073,8 @@
 )
 xt "-90000,50200,-68000,51000"
-st "SIGNAL debug_data_valid      : std_logic
-"
-)
-)
-*168 (Net
+st "SIGNAL debug_data_valid      : std_logic"
+)
+)
+*169 (Net
 uid 2721,0
 decl (Decl
@@ -5087,9 +5094,8 @@
 xt "-90000,27000,-58500,28600"
 st "-- for debugging
-SIGNAL DG_state              : std_logic_vector(7 downto 0)
-"
-)
-)
-*169 (Net
+SIGNAL DG_state              : std_logic_vector(7 downto 0)"
+)
+)
+*170 (Net
 uid 2729,0
 decl (Decl
@@ -5105,9 +5111,8 @@
 )
 xt "-90000,30200,-68000,31000"
-st "SIGNAL FTM_RS485_rx_en       : std_logic
-"
-)
-)
-*170 (Net
+st "SIGNAL FTM_RS485_rx_en       : std_logic"
+)
+)
+*171 (Net
 uid 2737,0
 decl (Decl
@@ -5123,9 +5128,8 @@
 )
 xt "-90000,31000,-68000,31800"
-st "SIGNAL FTM_RS485_tx_d        : std_logic
-"
-)
-)
-*171 (Net
+st "SIGNAL FTM_RS485_tx_d        : std_logic"
+)
+)
+*172 (Net
 uid 2745,0
 decl (Decl
@@ -5141,9 +5145,8 @@
 )
 xt "-90000,31800,-68000,32600"
-st "SIGNAL FTM_RS485_tx_en       : std_logic
-"
-)
-)
-*172 (Net
+st "SIGNAL FTM_RS485_tx_en       : std_logic"
+)
+)
+*173 (Net
 uid 2753,0
 lang 2
@@ -5163,9 +5166,8 @@
 )
 xt "-90000,55000,-33000,55800"
-st "SIGNAL mem_manager_state     : std_logic_vector(3 DOWNTO 0) -- state is encoded here ... useful for debugging.
-"
-)
-)
-*173 (Net
+st "SIGNAL mem_manager_state     : std_logic_vector(3 DOWNTO 0) -- state is encoded here ... useful for debugging."
+)
+)
+*174 (Net
 uid 2761,0
 decl (Decl
@@ -5181,10 +5183,9 @@
 font "Courier New,8,0"
 )
-xt "-90000,61400,-55000,62200"
-st "SIGNAL trigger_veto          : std_logic                    := '1'
-"
-)
-)
-*174 (Net
+xt "-90000,62200,-55000,63000"
+st "SIGNAL trigger_veto          : std_logic                    := '1'"
+)
+)
+*175 (Net
 uid 2769,0
 decl (Decl
@@ -5202,10 +5203,9 @@
 font "Courier New,8,0"
 )
-xt "-90000,62200,-33000,63000"
-st "SIGNAL w5300_state           : std_logic_vector(7 DOWNTO 0) -- state is encoded here ... useful for debugging.
-"
-)
-)
-*175 (Net
+xt "-90000,63000,-33000,63800"
+st "SIGNAL w5300_state           : std_logic_vector(7 DOWNTO 0) -- state is encoded here ... useful for debugging."
+)
+)
+*176 (Net
 uid 2777,0
 decl (Decl
